Description

After upgrading to the global host status, hosts who has no puppet report appear as green vs warning.

see attachment.

Related issues:

Related to Foreman - Feature #10782: Add global status for hosts Closed 06/11/2015

Related to Foreman - Bug #11791: N+1 query on hosts#index retrieving puppet_p... Closed 09/14/2015

Related to Foreman - Refactor #11836: Rename Puppet settings to Configuration Closed

Associated revisions

Revision 783fb4aa - 09/11/2015 04:05 PM - Marek Hulán

Fixes #11704 - consider no reports as warning if reports are expected

History

#1 - 09/06/2015 07:01 AM - Ohad Levy

- Related to Feature #10782: Add global status for hosts added

#2 - 09/07/2015 03:02 AM - Dominic Cleal

- Category set to Reporting

- translation missing: en.field_release set to 63

I think the intention is not to put hosts into a warning state when perhaps they don't even use configuration management.

However, we could implement #relevant? on ConfigurationStatus to be true when puppet? is true (and let other config management plugins to add

their own conditions), then set it to warning if there are no reports.

#3 - 09/07/2015 03:04 AM - Marek Hulán

So we should probably distinguish between a host with puppet master and the rest, or is there better way to resolve "#puppet?". Otherwise we'd mark

discovered hosts or hosts not using puppet with warning flag.

#4 - 09/07/2015 03:08 AM - Dominic Cleal

I think checking puppet_proxy (sorry, not #puppet?) is the only thing we usually do, e.g. on the host#edit form for whether to show Puppet-related

tabs.  Host status shouldn't apply to discovered hosts, but I think it's worth distinguishing between a host that should be sending reports and one that

shouldn't.

#5 - 09/07/2015 03:33 AM - Marek Hulán

- Assignee set to Marek Hulán

OK, that makes sense to me and you're right about discovered hosts. I'll probably get to it this week.

#6 - 09/11/2015 07:37 AM - The Foreman Bot

04/09/2024 1/2



- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2705 added

- Pull request deleted ()

#7 - 09/11/2015 05:01 PM - Marek Hulán

- % Done changed from 0 to 100

- Status changed from Ready For Testing to Closed

Applied in changeset 783fb4aa6feb7e1f60a651694849cc43829fa656.

#8 - 09/14/2015 03:46 AM - Dominic Cleal

- Related to Bug #11791: N+1 query on hosts#index retrieving puppet_proxy added

#9 - 09/16/2015 03:51 AM - Marek Hulán

- Related to Refactor #11836: Rename Puppet settings to Configuration added
